#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 ghcide
version:              2.0.0.0
visibility:           public
id:                   ghcide-2.0.0.0-6R8toV5R7uKCEIViXxc26d
key:                  ghcide-2.0.0.0-6R8toV5R7uKCEIViXxc26d
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  f363c90b96244f7cbc3bae2d890ac0fc
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.FileUtils
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Compat.Core
    Development.IDE.GHC.Compat.Env Development.IDE.GHC.Compat.Iface
    Development.IDE.GHC.Compat.Logger
    Development.IDE.GHC.Compat.Outputable
    Development.IDE.GHC.Compat.Parser
    Development.IDE.GHC.Compat.Plugins Development.IDE.GHC.Compat.Units
    Development.IDE.GHC.Compat.Util Development.IDE.GHC.CoreFile
    Development.IDE.GHC.Error Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer
    Development.IDE.LSP.Notifications Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Main.HeapStats Development.IDE.Monitoring.EKG
    Development.IDE.Monitoring.OpenTelemetry Development.IDE.Plugin
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings Development.IDE.Spans.Pragmas
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Monitoring Development.IDE.Types.Options
    Development.IDE.Types.Shake Generics.SYB.GHC Text.Fuzzy.Parallel

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.4.8/site-local/ghcide-2.0.0.0
library-dirs:         /usr/lib/ghc-9.4.8/site-local/ghcide-2.0.0.0
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/ghcide-2.0.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-2.0.0.0-6R8toV5R7uKCEIViXxc26d
depends:
    Diff-0.4.1-AZUE6X4VFrn1KwicRR603j Glob-0.10.2-1JbN1MhW1JC100Qkc9R9M
    aeson-2.1.2.1-4CVR04TmBAJCS7ApojWVjB
    aeson-pretty-0.8.10-HfMKUXprXwv7kdtjhP6zcT array-0.5.4.0
    async-2.2.5-63qhz2egf712xrTPAnr2Zj base-4.17.2.1
    base16-bytestring-1.0.2.0-KtYitFsTneELM2hKpf73Fg binary-0.8.9.1
    bytestring-0.11.5.3 case-insensitive-1.2.1.0-LMolnZwpRvW7BfRj8XMS7A
    co-log-core-0.3.2.4-2BlJvs4pUY9HnyzzENaOPB containers-0.6.7
    cryptohash-sha1-0.11.101.0-2YYqBmqawaJGk8W21RidMA
    data-default-0.7.1.1-HuI8bY4bNR4F11jcRg6vOi deepseq-1.4.8.0
    dependent-map-0.4.0.0-3N5pZSKvWZC7D3HMSQ6y7l
    dependent-sum-0.7.2.0-DJaAovm8ofC7YkGuDTTopN directory-1.3.7.1
    dlist-1.0-I6FB5Nlk17hG16fxQzZSEb
    enummapset-0.7.3.0-1gmngKkXPBr5BsaqQdi4wk exceptions-0.10.5
    extra-1.7.16-8c8cLvREb0GJPAnSWBkabX filepath-1.4.2.2
    fingertree-0.1.5.0-7f9Rb0fzVra77htSzlQ14b
    focus-1.0.3.2-H3qyUivnR3GBdeCbntnnDk ghc-9.4.8 ghc-boot-9.4.8
    ghc-boot-th-9.4.8 ghc-check-0.5.0.8-7VpFqQdrOMTJT47avZSPbc
    ghc-paths-0.1.0.12-8lmZj1VFo8V7iNy4rcXCyj
    ghc-trace-events-0.1.2.9-7ocQkvnjYWsA9rDcBsLuv7
    haddock-library-1.11.0-LH29DDGXM6V4bUeTGLbJj1
    hashable-1.4.4.0-9MfualSpDNWnshBkTCGL2
    hie-bios-0.12.0-4ojjj3GEzS32CCGPaoVyBW
    hie-compat-0.3.0.0-CbBComUrkWGfIGRN5OUf4
    hiedb-0.4.3.0-HQRPen2kNo3Bvc73fBolBR
    hls-graph-2.0.0.0-2CszNYFMAEF3oijoMTsM9s
    hls-plugin-api-2.0.0.0-3gbSH3A0FRn4YD2KZMMMy5
    implicit-hie-0.1.2.7-IxrzlWWXhYsAVCzq8hvEeG
    implicit-hie-cradle-0.5.0.1-IeF9vX5kHl5B267kjZDQyL
    lens-5.2.3-EqD4LSjkO4yUdDVMPM2Ph
    list-t-1.0.5.5-IVWh7DmVGgD844iUgPScml
    lsp-1.6.0.0-KoFVEUrVljd4MfhKa8lM9J
    lsp-types-1.6.0.1-KO4USlcgKIEBgj2IO9cCN5 mtl-2.2.2
    opentelemetry-0.8.0-EdrkD5RUkSQB0LGjoW0eUf
    optparse-applicative-0.17.1.0-1zwl3BwOIHmKNlRMhkhfu3
    parallel-3.2.2.0-KJ5o3ImR3G8wdLWLqGjpy
    prettyprinter-1.7.1-CoJGvDI2pdVEruBWSEYoT9
    prettyprinter-ansi-terminal-1.1.3-97LWSlOEzK6Dnl4KT2bUEq
    random-1.2.1.2-7EfGGurDIwzGPzdRKPRaLg
    regex-tdfa-1.3.2.3-DrquhVvFgxv1PhapVB2EES
    safe-exceptions-0.1.7.4-4vHAFyWQ0l15cVVIxU8SGY
    sorted-list-0.2.3.1-7S384XrX39qDX1Bmd6dv37
    sqlite-simple-0.4.19.0-IB5bNn2tRlk6oJWamoLSh4 stm-2.5.1.0
    stm-containers-1.2.1.1-9Ecay9hyPPsCPHSsOJNmKw
    syb-0.7.2.4-FxOA5ryuuOlLotDfjBKcFb text-2.0.2
    text-rope-0.3-F1LXs9gUtwd1w4Z7YO5k0x time-1.12.2
    transformers-0.5.6.2 unix-2.7.3
    unliftio-0.2.25.1-AXRi31Q55nfHgGjBnzlMpR
    unliftio-core-0.2.1.0-1JwPsdkrVim6892Z5vBeIT
    unordered-containers-0.2.20-HeJmB00BoxxBFwF5v8SCN
    vector-0.13.1.0-GCmMsLcrTyFGJ15LkY6umX

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

